Create a new Service Order
curl --request POST \
--url https://commerce.driv.ly/api/serviceOrders \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": [],
"customer": [
123
],
"serviceQuotes": 123,
"paymentLink": "<string>",
"vin": 123,
"error": "<string>",
"orderId": "<string>",
"price": "<string>",
"rush": true,
"attachments": [
123
],
"quoteExpiration": "<string>",
"ordered": "<string>",
"start": "<string>",
"due": "<string>",
"consignor": 123,
"billTo": 123,
"origin": 123,
"destination": 123,
"deals": [
123
],
"orderLink": "<string>",
"tenant": [
123
]
}
'import requests
url = "https://commerce.driv.ly/api/serviceOrders"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": [],
"customer": [123],
"serviceQuotes": 123,
"paymentLink": "<string>",
"vin": 123,
"error": "<string>",
"orderId": "<string>",
"price": "<string>",
"rush": True,
"attachments": [123],
"quoteExpiration": "<string>",
"ordered": "<string>",
"start": "<string>",
"due": "<string>",
"consignor": 123,
"billTo": 123,
"origin": 123,
"destination": 123,
"deals": [123],
"orderLink": "<string>",
"tenant": [123]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
name: '<string>',
type: [],
customer: [123],
serviceQuotes: 123,
paymentLink: '<string>',
vin: 123,
error: '<string>',
orderId: '<string>',
price: '<string>',
rush: true,
attachments: [123],
quoteExpiration: '<string>',
ordered: '<string>',
start: '<string>',
due: '<string>',
consignor: 123,
billTo: 123,
origin: 123,
destination: 123,
deals: [123],
orderLink: '<string>',
tenant: [123]
})
};
fetch('https://commerce.driv.ly/api/serviceOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": [],
"customer": [
123
],
"serviceQuotes": 123,
"paymentLink": "<string>",
"vin": 123,
"error": "<string>",
"orderId": "<string>",
"price": "<string>",
"rush": true,
"attachments": [
123
],
"quoteExpiration": "<string>",
"ordered": "<string>",
"start": "<string>",
"due": "<string>",
"consignor": 123,
"billTo": 123,
"origin": 123,
"destination": 123,
"deals": [
123
],
"orderLink": "<string>",
"tenant": [
123
]
},
"message": "<string>"
}Service Orders
Create a new Service Order
Create a new Service Order
POST
/
serviceOrders
Create a new Service Order
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { serviceOrders } from '@drivly/commerce'
const sdk = new SDK(...)
const serviceOrders = await sdk.serviceOrders.create(data: serviceOrders): Promise<serviceOrders>
Authorizations
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
Available options:
Condition Inspection, Last Mile Delivery, Long Haul Transport, Mechanical Inspection, Post Sale Inspection, Pre-Paid Maintenance, Pre-Purchase Inspection, Safety Inspection, Vehicle Service Contract, Wash And Detail Available options:
Quoted, Pending, In Review, Active, Dispatched, En Route, Complete, Hold, Cancel, Error ⌘I